langcode: en
status: open
dependencies:
  enforced:
    module:
      - webform_test
open: null
close: null
uid: null
template: false
id: test_element_access
title: 'Test: Element: Access'
description: 'Test element access controls'
category: 'Test: Element'
elements: |
  access_create:
    '#type': details
    '#title': access_create
    '#open': true
    access_create_roles_anonymous:
      '#type': textfield
      '#title': 'access_create_roles (anonymous)'
      '#default_value': '{value}'
      '#access_create_roles':
        - anonymous
    access_create_roles_authenticated:
      '#type': textfield
      '#title': 'access_create_roles (authenticated)'
      '#default_value': '{value}'
      '#access_create_roles':
        - authenticated
    access_create_users:
      '#type': textfield
      '#title': 'access_create_users (USER:1)'
      '#default_value': '{value}'
      '#access_create_roles': { }
      '#access_create_users':
        - 1
    access_create_permissions:
      '#type': textfield
      '#title': 'access_create_permissions (access user profiles)'
      '#default_value': '{value}'
      '#access_create_roles': { }
      '#access_create_permissions':
        - 'access user profiles'
  access_update:
    '#type': details
    '#title': access_update
    '#open': true
    access_update_roles_anonymous:
      '#type': textfield
      '#title': 'access_update_roles (anonymous)'
      '#default_value': '{value}'
      '#access_update_roles':
        - anonymous
    access_update_roles_authenticated:
      '#type': textfield
      '#title': 'access_update_roles (authenticated)'
      '#default_value': '{value}'
      '#access_update_roles':
        - authenticated
    access_update_users:
      '#type': textfield
      '#title': 'access_update_users (USER:1)'
      '#default_value': '{value}'
      '#access_update_roles': { }
      '#access_update_users':
        - 1
    access_update_permissions:
      '#type': textfield
      '#title': 'access_update_permissions (access user profiles)'
      '#default_value': '{value}'
      '#access_update_roles': { }
      '#access_update_permissions':
        - 'access user profiles'
  access_view:
    '#type': details
    '#title': access_view
    '#open': true
    access_view_roles_anonymous:
      '#type': textfield
      '#title': 'access_view_roles (anonymous)'
      '#default_value': '{value}'
      '#access_view_roles':
        - anonymous
    access_view_roles_authenticated:
      '#type': textfield
      '#title': 'access_view_roles (authenticated)'
      '#default_value': '{value}'
      '#access_view_roles':
        - authenticated
    access_view_users:
      '#type': textfield
      '#title': 'access_view_users (USER:1)'
      '#default_value': '{value}'
      '#access_view_roles': { }
      '#access_view_users':
        - 1
    access_view_permissions:
      '#type': textfield
      '#title': 'access_view_permissions (access user profiles)'
      '#default_value': '{value}'
      '#access_view_roles': { }
      '#access_view_permissions':
        - 'access user profiles'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: page
  confirmation_title: ''
  confirmation_message: ''
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: true
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles:
      - authenticated
    users: {  }
    permissions: {  }
  update_own:
    roles:
      - authenticated
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
handlers: {  }
